<?php
add_action( 'after_setup_theme', 'zabdielmaestre_setup' );
function zabdielmaestre_setup()
{
load_theme_textdomain( 'zabdielmaestre', get_template_directory() . '/languages' );
add_theme_support( 'title-tag' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' );
global $content_width;
if ( ! isset( $content_width ) ) $content_width = 640;
register_nav_menus(
array( 'main-menu' => __( 'Main Menu', 'zabdielmaestre' ) )
);
}
add_action( 'wp_enqueue_scripts', 'zabdielmaestre_load_scripts' );
function zabdielmaestre_load_scripts()
{
wp_enqueue_script( 'jquery' );
}
add_action( 'comment_form_before', 'zabdielmaestre_enqueue_comment_reply_script' );
function zabdielmaestre_enqueue_comment_reply_script()
{
if ( get_option( 'thread_comments' ) ) { wp_enqueue_script( 'comment-reply' ); }
}
add_filter( 'the_title', 'zabdielmaestre_title' );
function zabdielmaestre_title( $title ) {
if ( $title == '' ) {
return '&rarr;';
} else {
return $title;
}
}
add_filter( 'wp_title', 'zabdielmaestre_filter_wp_title' );
function zabdielmaestre_filter_wp_title( $title )
{
return $title . esc_attr( get_bloginfo( 'name' ) );
}
add_action( 'widgets_init', 'zabdielmaestre_widgets_init' );
function zabdielmaestre_widgets_init()
{
register_sidebar( array (
'name' => __( 'Sidebar Widget Area', 'zabdielmaestre' ),
'id' => 'primary-widget-area',
'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
'after_widget' => "</li>",
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
}
function zabdielmaestre_custom_pings( $comment )
{
$GLOBALS['comment'] = $comment;
?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>"><?php echo comment_author_link(); ?></li>
<?php 
}
add_filter( 'get_comments_number', 'zabdielmaestre_comments_number' );
function zabdielmaestre_comments_number( $count )
{
if ( !is_admin() ) {
global $id;
$comments_by_type = &separate_comments( get_comments( 'status=approve&post_id=' . $id ) );
return count( $comments_by_type['comment'] );
} else {
return $count;
}
}

if ( ! function_exists( 'ld_modify_contact_methods' ) ) :

    function ld_modify_contact_methods( $contactmethods ) {
        $contactmethods['twitter'] = __( 'Twitter' );
        $contactmethods['youtube'] = __( 'YouTube' );
        $contactmethods['facebook'] = __( 'Facebook' );

        return $contactmethods;
    }
    add_filter('user_contactmethods','ld_modify_contact_methods', 10, 1);

endif;

