<?php 
/*** 
Template Name: Home 
***/ 
get_header(); ?>

<section id="featured-post">
    <div class="container">
        <?php 
        query_posts(array( 
            'post_type' => 'post',
            'posts_per_page' => '1',
            'order_by' => 'date',
            'order' => 'ASC'
        ) );  
        ?>

        <?php while (have_posts()) : the_post(); ?>

        <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );?>

        <div class="post-big" style="background:url(<?php echo $thumb['0'];?>); background-size:cover; background-position: center center;">
            <ul class="metadata">
                <li>
                    <?php
                    $categories = get_the_category();
                    $separator = ' ';
                    $output = '';
                    if ( ! empty( $categories ) ) {
                        foreach( $categories as $category ) {
                            $output .= '<a class="sup-cat '. esc_html( $category->slug ) . '" href="' . esc_url( get_category_link( $category->term_id ) ) . '" alt="' . esc_attr( sprintf( __( 'View all posts in %s', 'textdomain' ), $category->name ) ) . '">' . esc_html( $category->name ) . '</a>' . $separator;
                        }
                        echo trim( $output, $separator );
                    }
                    ?>
                </li>
                <li><span class="min-read"><?php the_field('mins_read') ?> min read</span></li>
            </ul>
            <h2><?php the_title(); ?></h2>
            <p class="excerpt"><?php the_excerpt(); ?></p>
            <a class="readmore" href="<?php the_permalink() ?>">READ MORE</a>
        </div> 

        <?php endwhile;?><?php wp_reset_query(); ?>       
    </div>
</section>

<div class="separator-infinite"></div>

<section class="category-block sec_1">
    <div class="container">
        <div class="divs-category">
            <div>
                <div class="card-category yellow">
                    <a class="lnk_over" href="https://zabdiel.creativamotions.com/fluentblog/category/linguistics/"></a><figure>
                        <img src="<?php echo get_template_directory_uri(); ?>/images/lingu-icon.png">
                    </figure>
                    <h3>Linguistics</h3>
                    <p>Thoughts, linguistic discussions, research and articles about learning a language.</p>
					
                    <a class="see_lnk" href="https://zabdiel.creativamotions.com/fluentblog/category/linguistics/">SEE ALL</a>
                </div>
            </div>
            <div class="slick-posts">
                <?php 
                query_posts(array( 
                    'post_type' => 'post',
                    'category_name'  => 'linguistics',
                    'posts_per_page' => '-1',
                    'order_by' => 'date',
                    'order' => 'DESC'
                ) );  
                ?>

                <?php while (have_posts()) : the_post(); ?>

                <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );?>

                <div class="post-carousel">
					<a class="" href="<?php the_permalink() ?>"><figure style="background:url(<?php echo $thumb['0'];?>); background-size:cover; background-position: center center;"></figure></a>
                    <h3><a class="readmore" href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
                    <ul class="metadata">
                        <li><span class="min-read"><?php the_field('mins_read') ?> min read</span></li>
                        <li><span class="shares-impo">93 shares</span></li>
                    </ul>
                </div> 

                <?php endwhile;?><?php wp_reset_query(); ?>  
            </div>
        </div>
    </div>
	

	<div class="separador-mix">
    <div>
        <figure>
            <img src="<?php echo get_template_directory_uri(); ?>/images/banner-logo.png">
        </figure>
        <p>Get a weekly summary to your inbox</p>
    </div>
    <div class="contenedor-form"><div class="_form_13"></div><script src="https://fluentforever.activehosted.com/f/embed.php?id=13" type="text/javascript" charset="utf-8"></script>
		<?php //echo do_shortcode('[contact-form-7 id="44" title="Subscribe Form Footer"]'); ?></div>
</div>
	
	
	
</section>



<section class="category-block">
    <div class="container">
        <div class="divs-category">
            <div>
                <div class="card-category green">
					<a class="lnk_over"  href="https://zabdiel.creativamotions.com/fluentblog/category/app/"></a><figure>
                        <img src="<?php echo get_template_directory_uri(); ?>/images/app.png">
                    </figure>
                    <h3>APP</h3>
						<p>Donec ullamcorper nulla non metus auctor fringilla. Cum sociis natoque.</p>
                    <a class="see_lnk" href="https://zabdiel.creativamotions.com/fluentblog/category/app/">SEE ALL</a>
                </div>
            </div>
            <div class="slick-posts">
                <?php 
                query_posts(array( 
                    'post_type' => 'post',
                    'category_name'  => 'app',
                    'posts_per_page' => '-1',
                    'order_by' => 'date',
                    'order' => 'DESC'
                ) );  
                ?>

                <?php while (have_posts()) : the_post(); ?>

                <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );?>

                <div class="post-carousel">
					<a class="" href="<?php the_permalink() ?>"><figure style="background:url(<?php echo $thumb['0'];?>); background-size:cover; background-position: center center;"></figure></a>
                    <h3><a class="readmore" href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
                    <ul class="metadata">
                        <li><span class="min-read"><?php the_field('mins_read') ?> min read</span></li>
                        <li><span class="shares-impo">93 shares</span></li>
                    </ul>
                </div> 

                <?php endwhile;?><?php wp_reset_query(); ?>  
            </div>
        </div>
    </div>
</section>

<div class="separador-mix">
    <div>
        <figure>
            <img src="<?php echo get_template_directory_uri(); ?>/images/img-separator.png">
        </figure>
        <p>Get the 1st chapter of the Fluent Forever book for free</p>
    </div>
    <div class="contenedor-form">
		<div class="_form_13"></div><div class="_form_23"></div><script src="https://fluentforever.activehosted.com/f/embed.php?id=23" type="text/javascript" charset="utf-8"></script>
		<?php //echo do_shortcode('[contact-form-7 id="44" title="Subscribe Form Footer"]'); ?></div>
</div>

<section class="category-block">
    <div class="container">
        <div class="divs-category">
            <div>
                <div class="card-category blue">
                    <a class="lnk_over" href="https://zabdiel.creativamotions.com/fluentblog/category/company/"></a><figure>
                        <img src="<?php echo get_template_directory_uri(); ?>/images/company.png">
                    </figure>
                    <h3>Company</h3>
						<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                    <a class="see_lnk" href="https://zabdiel.creativamotions.com/fluentblog/category/company/">SEE ALL</a>
                </div>
            </div>
            <div class="slick-posts">
                <?php 
                query_posts(array( 
                    'post_type' => 'post',
                    'category_name'  => 'company',
                    'posts_per_page' => '-1',
                    'order_by' => 'date',
                    'order' => 'DESC'
                ) );  
                ?>

                <?php while (have_posts()) : the_post(); ?>

                <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );?>

                <div class="post-carousel">
					<a class="" href="<?php the_permalink() ?>"><figure style="background:url(<?php echo $thumb['0'];?>); background-size:cover; background-position: center center;"></figure></a>
                    <h3><a class="readmore" href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
                    <ul class="metadata">
                        <li><span class="min-read"><?php the_field('mins_read') ?> min read</span></li>
                        <li><span class="shares-impo">93 shares</span></li>
                    </ul>
                </div> 

                <?php endwhile;?><?php wp_reset_query(); ?>  
            </div>
        </div>
    </div>
</section>

<div class="separator-infinite"></div>

<section id="carousel-topics">
    <div class="container">
        <h2>Explore by Topic</h2>
        <p>Choose a topic to learn more about</p>
        <div class="topicarousel">
            <div class="item-car">
                <a href="https://zabdiel.creativamotions.com/fluentblog/tag/tag-1/"></a>
                <figure><img src="<?php echo get_template_directory_uri(); ?>/images/anki.png"></figure>
                <p>Anki</p>
            </div>
            <div class="item-car">
                <a href="https://zabdiel.creativamotions.com/fluentblog/tag/tag-1/"></a>
                <figure><img src="<?php echo get_template_directory_uri(); ?>/images/pro.png"></figure>
                <p>Pronunciation</p>
            </div>
            <div class="item-car">
                <a href="https://zabdiel.creativamotions.com/fluentblog/tag/tag-1/"></a>
                <figure><img src="<?php echo get_template_directory_uri(); ?>/images/flashcards.png"></figure>
                <p>Flashcards</p>
            </div>
            <div class="item-car">
                <a href="https://zabdiel.creativamotions.com/fluentblog/tag/tag-1/"></a>
                <figure><img src="<?php echo get_template_directory_uri(); ?>/images/grammar.png"></figure>
                <p>Grammar</p>
            </div>
            <div class="item-car">
                <a href="https://zabdiel.creativamotions.com/fluentblog/tag/tag-1/"></a>
                <figure><img src="<?php echo get_template_directory_uri(); ?>/images/pairs.png"></figure>
                <p>Minimal Pairs</p>
            </div>
            <div class="item-car">
                <a href="https://zabdiel.creativamotions.com/fluentblog/tag/tag-1/"></a>
                <figure><img src="<?php echo get_template_directory_uri(); ?>/images/mnemonics.png"></figure>
                <p>Mnemonics</p>
            </div>
            <div class="item-car">
                <a href="https://zabdiel.creativamotions.com/fluentblog/tag/tag-1/"></a>
                <figure><img src="<?php echo get_template_directory_uri(); ?>/images/flashcards.png"></figure>
                <p>Lorem</p>
            </div>
        </div>
    </div>
</section>

<div class="separator-infinite"></div>

<section class="last-section">
    <h2>Think In Any New Language</h2>
    <a href="http://fluent-forever.app " target="_blank">GET THE APP <i class="fas fa-arrow-right"></i></a>
</section>


<?php get_footer(); ?>