<?php get_header(); ?>

<section id="content" role="main">
    <div class="container">
        <div class="header-posts">
            <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

            <?php
            $categories = get_the_category();
            $separator = ' ';
            $output = '';
            if ( ! empty( $categories ) ) {
                foreach( $categories as $category ) {
                    $output .= '<a class="sup-cat '. esc_html( $category->slug ) . '" href="' . esc_url( get_category_link( $category->term_id ) ) . '" alt="' . esc_attr( sprintf( __( 'View all posts in %s', 'textdomain' ), $category->name ) ) . '">' . esc_html( $category->name ) . '</a>' . $separator;
                }
                echo trim( $output, $separator );
            }
            ?>

            <h1><?php the_title(); ?></h1>

            <ul class="metadata">
                <li><span class="min-read"><?php the_field('mins_read') ?> min read</span></li>
                <li><span class="date-meta"><?php the_date() ?></span></li>
                <li><span class="total-share"><?php echo do_shortcode('[addtoany]'); ?></span> </li>
            </ul>
        </div>

        <div class="separator-infinite"></div>


        <div class="blocks-single" id="first-block-single">
            <div class="sidebar">
                <div class="author-info">
                    <figure>
                        <?php echo get_avatar( get_the_author_meta( 'ID' ) , 100 ); ?>
                    </figure>
                    <h6><?php echo get_the_author_meta('display_name', $author_id); ?></h6>
                    <p><?php echo get_the_author_meta('description', $author_id); ?></p>
                    <ul id="rs-author">
                        <li><a href="<?php if ( get_the_author_meta('twitter') ) :  ?> <?php the_author_meta('twitter'); ?> <?php endif; ?>"><i class="fab fa-twitter"></i></a></li>
                        <li><a href="<?php if ( get_the_author_meta('facebook') ) :  ?> <?php the_author_meta('facebook'); ?> <?php endif; ?>"><i class="fab fa-facebook-f"></i></a></li>
                        <li><a href="<?php if ( get_the_author_meta('youtube') ) :  ?> <?php the_author_meta('youtube'); ?> <?php endif; ?>"><i class="fab fa-youtube"></i></a></li>
                    </ul>
                </div>
               <!-- <a class="allpostsauthor" href="<?php // echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>">ALL POSTS</a>-->
				<?php
$category = get_the_category();
$first_category = $category[0];
echo sprintf( '<a class="allpostsauthor" href="%s">%s</a>', get_category_link( $first_category ), "ALL POSTS" );
?>
            </div>
            <div class="content">
                <?php the_content() ?>
            </div>
        </div>

        <?php

    // check if the flexible content field has rows of data
    if( have_rows('extra_content') ):

                // loop through the rows of data
                while ( have_rows('extra_content') ) : the_row();

                if( get_row_layout() == 'image_with_text' ):

        ?>

        <figure class="image-mix">
            <img src="<?php the_sub_field('image'); ?>">
            <div>
                <p><?php the_sub_field('title'); ?></p>
                <span><?php the_sub_field('subtitle'); ?></span>
            </div>
        </figure>


        <?php

        elseif( get_row_layout() == 'content' ): 

        ?>

        <div class="blocks-single" id="second-block-single">
            <div class="sidebar">
                <div class="widget-subscribe">
                    <figure><img src="<?php echo get_template_directory_uri(); ?>/images/bitmap.png"></figure>
                    <p>Get the 1st chapter of the Fluent Forever book for <b>free</b></p>
                    <div class="contenedor-form">
		<div class="_form_23"></div><script src="https://fluentforever.activehosted.com/f/embed.php?id=23" type="text/javascript" charset="utf-8"></script> 
						<?php // echo do_shortcode('[contact-form-7 id="44" title="Subscribe Form Footer"]'); ?></div>
                </div>
            </div>
            <div class="content">
                <?php the_sub_field('text'); ?>

                <?php $tags = get_the_tags($post->ID);  ?>

                <ul class="cloudtags">

                    <?php foreach($tags as $tag) :  ?>

                    <li>
                        <a href="<?php bloginfo('url');?>/tag/<?php print_r($tag->slug);?>"><?php print_r($tag->name); ?></a>   
                    </li>

                    <?php endforeach; ?>
                </ul>

                <?php echo do_shortcode('[shareaholic app="share_buttons" id="28297003"]'); ?>
            </div>
        </div>

        <?php

        endif;

        endwhile;

        else :

        // no layouts found

        endif;

        ?>


    </div>

    <div id="block-grey">
        <div class="container">
            <h2>You might also like</h2>
            <div class="content-post-list">
                <?php 
                query_posts(array( 
                    'post_type' => 'post',
                    'posts_per_page' => '3',
                    'order_by' => 'date',
                    'order' => 'DESC'
                ) );  
                ?>

                <?php while (have_posts()) : the_post(); ?>

                <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );?>

                <div class="post-list-zm">
					<a class="lnk_over" href="<?php the_permalink() ?>"></a>
                    <figure style="background:url(<?php echo $thumb['0'];?>); background-size:cover; background-position: center center;"></figure>
					<a href="<?php the_permalink() ?>">
                    <ul class="metadata">
                        <li>
                            <?php
                            $categories = get_the_category();
                            $separator = ' ';
                            $output = '';
                            if ( ! empty( $categories ) ) {
                                foreach( $categories as $category ) {
                                    $output .= '<a class="sup-cat '. esc_html( $category->slug ) . '" href="' . esc_url( get_category_link( $category->term_id ) ) . '" alt="' . esc_attr( sprintf( __( 'View all posts in %s', 'textdomain' ), $category->name ) ) . '">' . esc_html( $category->name ) . '</a>' . $separator;
                                }
                                echo trim( $output, $separator );
                            }
                            ?>
                        </li>
                    </ul>
                    <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
                    <ul class="metadata">
                        <li><span class="min-read"><?php the_field('mins_read') ?> min read</span></li>
                    </ul>
						</a>
                </div> 
				
                <?php endwhile;?><?php wp_reset_query(); ?>  
            </div>
        </div>    
    </div>

    <div class="separador-mix">
        <div>
            <figure>
                <img src="<?php echo get_template_directory_uri(); ?>/images/banner-logo.png">
            </figure>
            <p>Enjoy what you're reading? <br>Sign up for more</p>
        </div>
        <div class="contenedor-form"><div class="_form_13"></div><script src="https://fluentforever.activehosted.com/f/embed.php?id=13" type="text/javascript" charset="utf-8"></script>
			<?php // echo do_shortcode('[contact-form-7 id="44" title="Subscribe Form Footer"]'); ?></div>
    </div>

    <div class="separator-infinite"></div>

    <section class="last-section">
        <h2>Think In Any New Language</h2>
        <a href="http://fluent-forever.app" target="_blank">GET THE APP <i class="fas fa-arrow-right"></i></a>
    </section>


    <?php if ( ! post_password_required() ) ?>
    <?php endwhile; endif; ?>

</section>

<?php get_footer(); ?>